<ion-header [translucent]="true">

  <ion-grid class="header-grid">
    <ion-row>
      <ion-col>
        <div>
          <ion-icon slot="start"  name="arrow-back-outline" (click)="regresar()"></ion-icon>
        </div>
      </ion-col>
      <ion-col>
        <div>
          <ion-img class="fav" (click)="llamaset(pokemon)" style="width: 80px; height: 80px;"
            src="https://upload.wikimedia.org/wikipedia/commons/thumb/4/4f/Ei-heart.svg/2048px-Ei-heart.svg.png">
          </ion-img>
        </div>
      </ion-col>
    </ion-row>
    <div>
      <ion-title class="poke-name" style="margin-right: 30px;">
        {{pokemon.name}}
      </ion-title>
    </div>
  </ion-grid>


</ion-header>

<ion-toolbar *ngIf="pokemon">
  
  <div>
    <h1 style="margin-top: 3px; letter-spacing: 2px;">{{pokemon.height}}cm<h1 style="float: right; letter-spacing: 2px; margin-top: -1px;">{{pokemon.weight}}kg</h1></h1>        
    </div>
  <img class="img" src="{{pokemon.sprites.front_default}}" alt="">     
</ion-toolbar>
<ion-content class="content-pokemons">
  <ion-grid class="cuadrado-grid" *ngFor="let stat of pokemon.stats;">
    <ion-row>
      <ion-col style="background-color: rgb(223, 219, 219); height: 70px; width: 120px; border-bottom: 1px solid black;">
        <div>
          <ion-card-title class="stat">{{stat.stat.name}} </ion-card-title>
        </div>
          <div>
            <ion-card-title class="stat">{{stat.base_stat}} </ion-card-title>
          </div>
          <div>          
            <progress  value="{{stat.base_stat}}" max="109">  </progress>
          </div>
      </ion-col>
    </ion-row>
    
  </ion-grid>
</ion-content>